# Get payment card details associated with token

Get payment card details associated with token.

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "version": "23.2.0",
    "title": "Payments API Reference",
    "description": "The documentation here is designed to provide all of the technical guidance required to consume and integrate with our APIs for payment processing. To learn more about our APIs please visit https://docs.fiserv.dev/public/docs/payments-getting-started.",
    "termsOfService": "https://docs.fiserv.dev",
    "contact": {
      "name": "Fiserv Developer Portal",
      "url": "https://fiserv.dev/support",
      "email": "ipg-online@fiserv.com"
    },
    "license": {
      "name": "License under Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    }
  },
  "servers": [
    {
      "url": "https://prod.emea.api.fiservapps.com/sandbox/ipp/payments-gateway/v2",
      "description": "Sandbox Environment"
    },
    {
      "url": "https://prod.emea.api.fiservapps.com/ipp/payments-gateway/v2",
      "description": "Production Environment"
    }
  ],
  "tags": [
    {
      "name": "Payment Token",
      "description": "Payment Token"
    }
  ],
  "paths": {
    "/payment-tokens/{token-id}": {
      "get": {
        "tags": [
          "Payment Token"
        ],
        "security": [
          {
            "Api-Key": []
          }
        ],
        "x-proxy-name": "Get Token Source Details",
        "operationId": "getPaymentTokenDetails",
        "summary": "Get payment card details associated with token",
        "description": "Get payment card details associated with token.",
        "parameters": [
          {
            "$ref": "#/components/parameters/ContentTypeParam"
          },
          {
            "$ref": "#/components/parameters/ClientRequestIdParam"
          },
          {
            "$ref": "#/components/parameters/ApiKeyParam"
          },
          {
            "$ref": "#/components/parameters/TimestampParam"
          },
          {
            "$ref": "#/components/parameters/MessageSignatureParam"
          },
          {
            "$ref": "#/components/parameters/AccessTokenParam"
          },
          {
            "$ref": "#/components/parameters/TokenIdParam"
          },
          {
            "$ref": "#/components/parameters/StoreIdParam"
          },
          {
            "$ref": "#/components/parameters/PaymentMethodTypeParam"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaymentTokenizationResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "Api-Key": {
        "name": "Api-Key",
        "type": "apiKey",
        "in": "header",
        "description": "Authorization value in header (obtain from developer portal)"
      }
    },
    "parameters": {
      "ContentTypeParam": {
        "name": "Content-Type",
        "schema": {
          "type": "string",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        "in": "header",
        "required": true,
        "description": "Content type."
      },
      "ClientRequestIdParam": {
        "name": "Client-Request-Id",
        "schema": {
          "type": "string"
        },
        "in": "header",
        "required": true,
        "description": "A client-generated ID for request tracking and signature creation, unique per request.  This is also used for idempotency control. We recommend 128-bit UUID format."
      },
      "ApiKeyParam": {
        "name": "Api-Key",
        "schema": {
          "type": "string"
        },
        "in": "header",
        "required": true,
        "description": "Key given to merchant after boarding associating their requests with the appropriate app in Apigee."
      },
      "TimestampParam": {
        "name": "Timestamp",
        "schema": {
          "type": "integer",
          "format": "int64"
        },
        "in": "header",
        "required": true,
        "description": "Epoch timestamp in milliseconds in the request from a client system. Used for Message Signature generation and time limit (5 mins)."
      },
      "MessageSignatureParam": {
        "name": "Message-Signature",
        "schema": {
          "type": "string"
        },
        "in": "header",
        "required": true,
        "description": "Used to ensure the request has not been tampered with during transmission. The Message-Signature is the Base64 encoded HMAC hash (SHA256 algorithm with the API Secret as the key.) For more information, refer to the supporting documentation on the Developer Portal.",
        "x-link": {
          "name": "How to Create Message Signature",
          "link": "https://docs.firstdata.com/org/gateway/node/394"
        }
      },
      "AccessTokenParam": {
        "name": "Authorization",
        "description": "The access token previously generated with the access-tokens call. Use the format 'Bearer {access-token}'.",
        "schema": {
          "type": "string"
        },
        "in": "header",
        "required": false
      },
      "StoreIdParam": {
        "name": "storeId",
        "schema": {
          "type": "string"
        },
        "in": "query",
        "required": false,
        "description": "An optional outlet ID for clients that support multiple stores in the same developer app."
      },
      "PaymentMethodTypeParam": {
        "name": "payment-method",
        "schema": {
          "$ref": "#/components/schemas/PaymentMethodType"
        },
        "in": "query",
        "required": false,
        "description": "The type of the paymentMethod."
      },
      "TokenIdParam": {
        "name": "token-id",
        "schema": {
          "type": "string"
        },
        "in": "path",
        "required": true,
        "description": "Identifies a payment token."
      }
    },
    "responses": {
      "BadRequest": {
        "description": "The request cannot be validated.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      },
      "Unauthorized": {
        "description": "The request was unauthorized.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      },
      "NotFound": {
        "description": "The requested resource doesn't exist.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      },
      "ServerError": {
        "description": "An unexpected internal server error occurred.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      }
    },
    "schemas": {
      "BasicResponse": {
        "description": "Contains apiTraceId and clientRequestId shared in all response types.",
        "properties": {
          "clientRequestId": {
            "description": "Echoes back the value in the request header for tracking.",
            "type": "string",
            "example": "30dd879c-ee2f-11db-8314-0800200c9a66"
          },
          "apiTraceId": {
            "description": "Request identifier in API, can be used to request logs from the support team.",
            "type": "string",
            "example": "rrt-0bd552c12342d3448-b-ea-1142-12938318-7"
          },
          "responseType": {
            "$ref": "#/components/schemas/ResponseType"
          },
          "type": {
            "description": "Request object name, used to discriminate which object the request body is resolved to.",
            "type": "string"
          }
        },
        "discriminator": {
          "propertyName": "type",
          "mapping": {
            "errorResponse": "#/components/schemas/ErrorResponse",
            "orderResponse": "#/components/schemas/OrderResponse",
            "paymentTokenUpdateResponse": "#/components/schemas/PaymentTokenUpdateResponse",
            "paymentTokenizationResponse": "#/components/schemas/PaymentTokenizationResponse",
            "paymentSchedulesResponse": "#/components/schemas/PaymentSchedulesResponse",
            "exchangeRateResponse": "#/components/schemas/ExchangeRateResponse",
            "paymentUrlResponse": "#/components/schemas/PaymentUrlResponse",
            "paymentUrlDetailResponse": "#/components/schemas/PaymentUrlDetailResponse",
            "transactionResponse": "#/components/schemas/TransactionResponse",
            "cardInfoLookupResponse": "#/components/schemas/CardInfoLookupResponse",
            "paymentBrandResponse": "#/components/schemas/PaymentBrandResponse",
            "availableCurrenciesResponse": "#/components/schemas/AvailableCurrenciesResponse",
            "availableIsoCountriesResponse": "#/components/schemas/AvailableIsoCountriesResponse",
            "managedRedirectResponse": "#/components/schemas/ManagedRedirectResponse",
            "getGuestCheckoutTokenCryptogramResponse": "#/components/schemas/GetGuestCheckoutTokenCryptogramResponse",
            "getNetworkTokenCryptogramResponse": "#/components/schemas/GetNetworkTokenCryptogramResponse"
          }
        }
      },
      "ErrorResponse": {
        "description": "Response containing an error object.",
        "allOf": [
          {
            "$ref": "#/components/schemas/BasicResponse"
          },
          {
            "properties": {
              "error": {
                "$ref": "#/components/schemas/Error"
              }
            }
          }
        ]
      },
      "OrderResponse": {
        "description": "Common object for primary and secondary payment request responses.",
        "allOf": [
          {
            "$ref": "#/components/schemas/BasicResponse"
          },
          {
            "properties": {
              "orderId": {
                "description": "Note - Client Order ID if supplied by client. If not supplied by client, IPG will generate. The first 12 alphanumeric digits are passed down to Fiserv Enterprise reporting tool, Clientline and Data File Manager (DFM).",
                "type": "string",
                "example": "123456"
              },
              "numberOfInstallments": {
                "description": "Number of instalments for a sale transaction if the customer pays the total amount in multiple transactions.",
                "type": "integer",
                "format": "int32",
                "minimum": 1,
                "maximum": 99,
                "example": 3
              },
              "billing": {
                "$ref": "#/components/schemas/Billing"
              },
              "shipping": {
                "$ref": "#/components/schemas/Shipping"
              },
              "mandate": {
                "$ref": "#/components/schemas/SepaMandate"
              },
              "transactions": {
                "description": "Required for some payment methods (for example, Klarna).",
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/TransactionResponse"
                },
                "example": [
                  {
                    "transactionState": "AUTHORIZED",
                    "ipgTransactionId": "838916029301",
                    "transactionType": "SALE",
                    "transactionAmount": {
                      "total": 10.24,
                      "currency": "EUR"
                    },
                    "storeId": "1109959991"
                  }
                ]
              },
              "additionalDetails": {
                "$ref": "#/components/schemas/AdditionalDetails"
              }
            },
            "example": {
              "orderId": "123456",
              "billing": {
                "name": "John Doe",
                "customerId": "1234567890",
                "address": {
                  "address1": "123 Main St.",
                  "city": "Sandy Springs",
                  "region": "Georgia",
                  "postalCode": "30303",
                  "country": "USA"
                }
              },
              "shipping": {
                "name": "John Doe",
                "contact": {
                  "phone": "5555555555",
                  "mobilePhone": "5555555555",
                  "email": "john@test.com"
                },
                "address": {
                  "address1": "123 Main St.",
                  "city": "Sandy Springs",
                  "region": "Georgia",
                  "postalCode": "30303",
                  "country": "USA"
                }
              },
              "mandate": {
                "reference": "3RBQVEE",
                "url": "https://www.firstdata.com",
                "signatureDate": "2017-07-15",
                "type": "SINGLE"
              }
            }
          }
        ]
      },
      "PaymentTokenUpdateResponse": {
        "allOf": [
          {
            "$ref": "#/components/schemas/BasicResponse"
          },
          {
            "properties": {
              "requestStatus": {
                "description": "The status of the request.",
                "type": "string",
                "enum": [
                  "FAILED",
                  "SUCCESS",
                  "PARTIAL_SUCCESS"
                ],
                "example": "SUCCESS"
              },
              "requestTime": {
                "description": "Time of the request.",
                "type": "integer",
                "format": "int64",
                "example": 1554308829345
              },
              "errors": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            },
            "example": {
              "requestStatus": "PARTIAL_SUCCESS",
              "requestTime": 1554308829345,
              "errors": [
                {
                  "message": "HOSTED_DATA_ID4773410890807324. Invalid credit card number: CreditCard [cardNumber=4773410...7324, expirationMonth=12, expirationYear=2026"
                },
                {
                  "message": "HOSTED_DATA_ID4773410888998888. Invalid credit card number: CreditCard [cardNumber=4773410...8888, expirationMonth=12, expirationYear=2026"
                }
              ]
            }
          }
        ]
      },
      "PaymentTokenizationResponse": {
        "allOf": [
          {
            "$ref": "#/components/schemas/BasicResponse"
          },
          {
            "properties": {
              "requestStatus": {
                "description": "The status of the request.",
                "type": "string",
                "enum": [
                  "DELETED",
                  "FAILED",
                  "SUCCESS",
                  "APPROVED",
                  "WAITING",
                  "VALIDATION_FAILED",
                  "DECLINED"
                ],
                "example": "DELETED"
              },
              "requestTime": {
                "description": "Time of the request.",
                "type": "integer",
                "format": "int64",
                "example": 1554308829345
              },
              "brand": {
                "description": "Card brand.",
                "type": "string",
                "example": "VISA"
              },
              "country": {
                "description": "Country of the card issued.",
                "type": "string",
                "example": "Germany"
              },
              "paymentToken": {
                "$ref": "#/components/schemas/PaymentTokenDetails"
              },
              "paymentCard": {
                "$ref": "#/components/schemas/PaymentCard"
              },
              "networkToken": {
                "$ref": "#/components/schemas/NetworkToken"
              },
              "processor": {
                "$ref": "#/components/schemas/ProcessorData"
              },
              "tokenAlias": {
                "$ref": "#/components/schemas/TokenAlias"
              },
              "orderId": {
                "description": "Note - Client Order ID if supplied by client. If not supplied by client, IPG will generate. The first 12 alphanumeric digits are passed down to Fiserv Enterprise reporting tool, Clientline and Data File Manager (DFM).",
                "type": "string",
                "example": "R-44df6542-ae0b-4415-88e8-7f3e62cc9e5d"
              },
              "ipgTransactionId": {
                "description": "The response transaction ID.",
                "type": "string",
                "maxLength": 14,
                "example": "838916029301"
              },
              "merchantTransactionId": {
                "description": "The unique merchant transaction ID from the request header, if supplied.",
                "type": "string",
                "maxLength": 40,
                "example": "lsk23532djljff3"
              },
              "additionalResponseData": {
                "$ref": "#/components/schemas/AdditionalResponseData"
              }
            },
            "example": {
              "requestStatus": "DELETED",
              "requestTime": 1554308829345,
              "brand": "VISA",
              "country": "Germany",
              "paymentToken": {
                "value": "234ljl124l12",
                "reusable": true,
                "declineDuplicates": false,
                "last4": "4997",
                "brand": "VISA",
                "accountVerification": true,
                "type": "PAYMENT_CARD",
                "networkTokenProvisionStatus": "QUEUED"
              },
              "paymentCard": {
                "number": "5424180279791732",
                "expiryDate": {
                  "month": "03",
                  "year": "21"
                },
                "securityCode": "977"
              },
              "networkToken": {
                "value": "2343446334644554",
                "expiryMonth": "12",
                "expiryYear": "24"
              },
              "processor": {
                "referenceNumber": "117011573",
                "authorizationCode": "OK1852",
                "responseCode": "00",
                "network": "DISC",
                "associationResponseCode": "000",
                "associationResponseMessage": "Requested function not supported",
                "responseMessage": "APPROVAL",
                "avsResponse": {
                  "streetMatch": "NO_INPUT_DATA",
                  "postalCodeMatch": "NO_INPUT_DATA",
                  "associationAvsResponse": "Y"
                },
                "securityCodeResponse": "MATCHED"
              },
              "orderId": "R-44df6542-ae0b-4415-88e8-7f3e62cc9e5d",
              "ipgTransactionId": "838916029301",
              "merchantTransactionId": "lsk23532djljff3"
            }
          }
        ]
      },
      "PaymentSchedulesResponse": {
        "description": "Response from the gateway scheduler creation call.",
        "allOf": [
          {
            "$ref": "#/components/schemas/BasicResponse"
          },
          {
            "properties": {
              "requestStatus": {
                "description": "Result of requested operation. If it's anything other than 'SUCCESS', please refer to 400s HTTP error codes or decline. See Error object for details.",
                "type": "string",
                "enum": [
                  "SUCCESS",
                  "VALIDATION_FAILED",
                  "PROCESSING_FAILED",
                  "FAILURE",
                  "DECLINED"
                ],
                "example": "SUCCESS"
              },
              "orderId": {
                "description": "Note - Client Order ID if supplied by client. If not supplied by client, IPG will generate. The first 12 alphanumeric digits are passed down to Fiserv Enterprise reporting tool, Clientline and Data File Manager (DFM).",
                "type": "string",
                "example": "123456"
              },
              "userId": {
                "type": "string",
                "description": "This is the store's userID (not store-id) from where the product was purchased.",
                "maxLength": 128,
                "example": "1001"
              },
              "state": {
                "$ref": "#/components/schemas/RecurringPaymentState"
              },
              "transactionResponse": {
                "$ref": "#/components/schemas/TransactionResponse"
              }
            }
          }
        ],
        "example": {
          "clientRequestId": "30dd879c-ee2f-11db-8314-0800200c9a66",
          "apiTraceId": "rrt-0bd552c12342d3448-b-ea-1142-12938318-7",
          "requestStatus": "SUCCESS",
          "orderId": "ABC12345"
        }
      },
      "ExchangeRateResponse": {
        "description": "Exchange rate response.",
        "allOf": [
          {
            "$ref": "#/components/schemas/BasicResponse"
          },
          {
            "properties": {
              "ipgTransactionId": {
                "description": "The response transaction ID.",
                "type": "string",
                "example": "838916029301"
              },
              "requestTime": {
                "description": "Time of the request. The used format is \"yyyy-MM-dd'T'HH:mm:ss.SSSXXX\".",
                "type": "string",
                "example": "2018-12-05T14:13:00.000-05:00"
              },
              "exchangeRateDetails": {
                "$ref": "#/components/schemas/ExchangeRateDetails"
              }
            }
          }
        ],
        "example": {
          "clientRequestId": "30dd879c-ee2f-11db-8314-0800200c9a66",
          "apiTraceId": "rrt-0bd552c12342d3448-b-ea-1142-12938318-7",
          "requestTime": "2020-06-23T13:46:00.000+02:00",
          "exchangeRateDetails": {
            "inquiryRateId": 49150,
            "foreignCurrency": "AUD",
            "foreignAmount": "130.33",
            "exchangeRate": "1.2968",
            "dccOffered": "true",
            "exchangeRateSourceTimestamp": "2015-06-23T13:46:00.000+02:00",
            "expirationTimestamp": "2015-06-23T13:46:00.000+02:00",
            "marginRatePercentage": "3",
            "exchangeRateSourceName": "REUTERS WHOLESALE INTERBANK"
          }
        }
      },
      "PaymentUrlResponse": {
        "description": "Response from an embedded payment link request.",
        "allOf": [
          {
            "$ref": "#/components/schemas/BasicResponse"
          },
          {
            "properties": {
              "requestStatus": {
                "type": "string",
                "enum": [
                  "SUCCESS",
                  "VALIDATION_FAILED",
                  "PROCESSING_FAILED",
                  "FAILURE"
                ],
                "description": "Request status. If it is anything other than 'SUCCESS', please refer to 400s HTTP error codes or decline. See Error object for details.",
                "example": "SUCCESS"
              },
              "orderId": {
                "type": "string",
                "description": "Note - Client Order ID if supplied by client. If not supplied by client, IPG will generate. The first 12 alphanumeric digits are passed down to Fiserv Enterprise reporting tool, Clientline and Data File Manager (DFM).",
                "example": "123456"
              },
              "paymentUrl": {
                "description": "URL for embedded payment link.",
                "type": "string",
                "example": "https://api.firstdata.com/connect/gateway/processing?storename=123456789&oid=R-96cdbaa4-c22e-4598-a2f1-c2b5fed79ef1&paymentUrlId=d3eb74fe-cf63-47e1-b89f-52ba0cc7965c"
              },
              "expiration": {
                "description": "Time until payment URL expires. Returns EPOCH Seconds",
                "type": "integer",
                "format": "int64",
                "example": 4102358400
              },
              "transactionId": {
                "type": "string",
                "description": "ID code from the transaction.",
                "example": "123978432"
              }
            }
          }
        ],
        "example": {
          "clientRequestId": "30dd879c-ee2f-11db-8314-0800200c9a66",
          "apiTraceId": "rrt-0bd552c12342d3448-b-ea-1142-12938318-7",
          "requestStatus": "SUCCESS",
          "orderId": "9723846",
          "paymentUrl": "https://hyperlink-to-payment.com",
          "transactionId": "2381723322"
        }
      },
      "PaymentUrlDetailResponse": {
        "description": "Response from an embedded payment link request.",
        "allOf": [
          {
            "$ref": "#/components/schemas/BasicResponse"
          },
          {
            "properties": {
              "paymentUrlDetails": {
                "description": "Array of payment URL details.",
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/PaymentUrlDetail"
                }
              },
              "industrySpecificExtensions": {
                "$ref": "#/components/schemas/IndustrySpecificExtensions"
              }
            }
          }
        ],
        "example": {
          "clientRequestId": "30dd879c-ee2f-11db-8314-0800200c9a66",
          "apiTraceId": "rrt-0bd552c12342d3448-b-ea-1142-12938318-7",
          "paymentUrl": "https://hyperlink-to-payment.com",
          "orderId": "9723846",
          "requestTime": 1518811817,
          "status": "Created"
        }
      },
      "TransactionResponse": {
        "description": "Common object for primary and secondary payment request responses.",
        "allOf": [
          {
            "$ref": "#/components/schemas/BasicResponse"
          },
          {
            "properties": {
              "ipgTransactionId": {
                "description": "The response transaction ID.",
                "type": "string",
                "example": "838916029301"
              },
              "orderId": {
                "description": "Note - Client Order ID if supplied by client. If not supplied by client, IPG will generate. The first 12 alphanumeric digits are passed down to Fiserv Enterprise reporting tool, Clientline and Data File Manager (DFM).",
                "type": "string",
                "example": "123456"
              },
              "userId": {
                "type": "string",
                "description": "This is the store's userID (not store-id) from where the product was purchased.",
                "maxLength": 128,
                "example": "1001"
              },
              "transactionType": {
                "$ref": "#/components/schemas/TransactionType"
              },
              "paymentToken": {
                "$ref": "#/components/schemas/PaymentTokenDetails"
              },
              "transactionOrigin": {
                "$ref": "#/components/schemas/TransactionOrigin"
              },
              "paymentMethodDetails": {
                "$ref": "#/components/schemas/PaymentMethodDetails"
              },
              "accountVerificationResponse": {
                "$ref": "#/components/schemas/AccountVerificationResponse"
              },
              "country": {
                "description": "Country of the card issuer.",
                "type": "string",
                "example": "USA"
              },
              "terminalId": {
                "description": "The terminal that is processing the transaction.",
                "type": "string",
                "example": "123456"
              },
              "merchantId": {
                "description": "The unique (on Acquirer level) mechant ID. Usually this value has been chosen from the merchant itself and will be used in communication with the endpoint.",
                "type": "string",
                "maxLength": 30,
                "example": "199950008"
              },
              "merchantTransactionId": {
                "description": "The unique merchant transaction ID from the request header, if supplied.",
                "type": "string",
                "maxLength": 40,
                "example": "lsk23532djljff3"
              },
              "transactionTime": {
                "description": "The transaction time in seconds since epoch.",
                "type": "integer",
                "format": "int64",
                "example": 1518811817
              },
              "approvedAmount": {
                "$ref": "#/components/schemas/TransactionAmount"
              },
              "transactionAmount": {
                "$ref": "#/components/schemas/TransactionAmount"
              },
              "transactionStatus": {
                "description": "This field is Deprecated. Point to 'transactionResult'.",
                "type": "string",
                "enum": [
                  "APPROVED",
                  "WAITING",
                  "PARTIAL",
                  "VALIDATION_FAILED",
                  "PROCESSING_FAILED",
                  "DECLINED"
                ],
                "example": "APPROVED"
              },
              "transactionResult": {
                "description": "This is the result of the operation, unless transaction status that represent financial status of the transaction, this fields helps us to understand if the operation is successfully executed",
                "type": "string",
                "enum": [
                  "CREATED",
                  "APPROVED",
                  "DECLINED",
                  "FAILED",
                  "WAITING",
                  "PARTIAL",
                  "FRAUD"
                ],
                "example": "APPROVED"
              },
              "approvalCode": {
                "description": "Shows the transaction approvalcode.",
                "type": "string",
                "example": "N:-30031:No terminal setup"
              },
              "schemeResponseCode": {
                "description": "Shows the Scheme Response Code.",
                "type": "string",
                "example": "33"
              },
              "merchantAdviceCode": {
                "description": "Shows the Merchant Advice Code.",
                "type": "string",
                "example": "34"
              },
              "errorMessage": {
                "description": "Shows the transaction errorMessage.",
                "type": "string",
                "example": "000100: Tx was processed but response was not stored correctly"
              },
              "transactionState": {
                "description": "Shows the state of the current transaction.",
                "type": "string",
                "enum": [
                  "AUTHORIZED",
                  "CAPTURED",
                  "DECLINED",
                  "CHECKED",
                  "COMPLETED_GET",
                  "INITIALIZED",
                  "PENDING",
                  "READY",
                  "TEMPLATE",
                  "SETTLED",
                  "VOIDED",
                  "WAITING"
                ],
                "example": "AUTHORIZED"
              },
              "paymentAccountReferenceNumber": {
                "description": "Payment Account Reference Number from response, if supplied.",
                "type": "string",
                "maxLength": 30,
                "example": "1234001AB101112131415161718CV"
              },
              "secure3dResponse": {
                "$ref": "#/components/schemas/Secure3dResponse"
              },
              "standinResponseDetails": {
                "$ref": "#/components/schemas/StandinResponseDetails"
              },
              "redirectURL": {
                "description": "The endpoint redirection URL.",
                "type": "string",
                "example": "http://pay.issuer-bank.com/sessionID=123&sharedKey=456"
              },
              "authenticationResponse": {
                "$ref": "#/components/schemas/Secure3DAuthenticationResponse"
              },
              "schemeTransactionId": {
                "description": "The transaction ID received from schemes for the initial transaction of card on file flows.",
                "type": "string",
                "maxLength": 40,
                "example": "019078743804756"
              },
              "transactionLinkIdentifier": {
                "description": "The unique Identifier sent from scheme to link all transactions for single order.",
                "type": "string",
                "maxLength": 36,
                "example": "01236548543965"
              },
              "processor": {
                "$ref": "#/components/schemas/ProcessorData"
              },
              "additionalDetails": {
                "$ref": "#/components/schemas/AdditionalTransactionDetails"
              },
              "accountUpdaterResponse": {
                "$ref": "#/components/schemas/AccountUpdaterResponse"
              },
              "achResponse": {
                "$ref": "#/components/schemas/AchResponse"
              },
              "currencyConversionResponse": {
                "$ref": "#/components/schemas/CurrencyConversionResponse"
              },
              "requiredActions": {
                "$ref": "#/components/schemas/RequiredActions"
              },
              "plannedDueDate": {
                "description": "Capture PlannedDueDate field sent for SEPA transactions.",
                "type": "string",
                "pattern": "^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])$",
                "example": "2022-03-03"
              },
              "networkToken": {
                "$ref": "#/components/schemas/NetworkToken"
              },
              "emvData": {
                "description": "It includes the EMV data from the issuer response and it is Base64 encoded.",
                "type": "string",
                "maxLength": 10000
              },
              "selectedInstallmentPlan": {
                "$ref": "#/components/schemas/InstallmentPlan"
              },
              "globallyUniqueIdentifier": {
                "description": "A 36 character globally unique identifier for the transaction across systems. If the client request ID was used as the GUID (via useClientRequestIdAsGuid config), this will reflect that value; otherwise it contains the GUID generated by IPG CORE.",
                "type": "string",
                "maxLength": 36
              },
              "hashToken": {
                "description": "Hash token.",
                "type": "string",
                "example": "123456789012345678"
              }
            }
          }
        ],
        "example": {
          "clientRequestId": "30dd879c-ee2f-11db-8314-0800200c9a66",
          "apiTraceId": "rrt-0c80a3403e2c2def0-d-ea-28805-6810951-2",
          "ipgTransactionId": "838916029301",
          "globallyUniqueIdentifier": "30dd879c-ee2f-11db-8314-0800200c9a66",
          "transactionType": "SALE",
          "transactionTime": 1518811817,
          "approvedAmount": {
            "total": 10.24,
            "currency": "EUR"
          },
          "transactionAmount": {
            "total": 10.24,
            "currency": "EUR",
            "components": {
              "subtotal": 8,
              "localTax": 1,
              "shipping": 1.24
            }
          },
          "transactionStatus": "APPROVED",
          "transactionResult": "APPROVED",
          "schemeTransactionId": "019078743804756",
          "processor": {
            "responseCode": "00",
            "responseMessage": "APPROVED",
            "authorizationCode": "OK7118"
          },
          "plannedDueDate": "2022-03-03",
          "requiredActions": {
            "requiredRedirectionData": {
              "url": "https://payment.thirdparty.com",
              "headerParameters": {
                "headerParam1": "value1",
                "headerParam2": "value2"
              },
              "method": "GET"
            },
            "requiredConsumerData": [
              {
                "hint": "Your 6-digit Code will be provided in your mobile application",
                "validationExpression": "^\\\\d{6}$",
                "key": "BLIK_CODE"
              }
            ],
            "requiredIntegrationData": [
              {
                "hint": "Payment requires the user agent information on the browser/device.",
                "key": "USER_AGENT"
              }
            ]
          }
        }
      },
      "RecurringPaymentDetails": {
        "description": "Details about existing gateway schedule.",
        "properties": {
          "storeId": {
            "description": "Store ID number.",
            "type": "string",
            "maxLength": 20,
            "example": "1109959991"
          },
          "purchaseOrderNumber": {
            "description": "Purchase order number.",
            "type": "string",
            "example": "123055342"
          },
          "invoiceNumber": {
            "description": "Invoice number.",
            "type": "string",
            "example": "96126098"
          },
          "additionalDetails": {
            "$ref": "#/components/schemas/AdditionalDetails"
          },
          "creationDate": {
            "description": "This field should contain the date when recurring payment was created. The date can either the format Tue Jul 14 13:40:26 IST 2020 or YYYY/MM/DD.",
            "type": "string",
            "example": "Tue Jul 14 13:40:26 IST 2020"
          },
          "startDate": {
            "description": "In this field, the date of signature of the mandate must be in either the format Tue Jul 14 13:40:26 IST 2020 or YYYY/MM/DD.",
            "type": "string",
            "example": "Tue Jul 14 13:40:26 IST 2020"
          },
          "nextAttemptDate": {
            "description": "Next transaction process attempt date should be in either the format Tue Jul 14 13:40:26 IST 2020 or YYYY/MM/DD.",
            "type": "string",
            "example": "Tue Jul 14 13:40:26 IST 2020"
          },
          "transactionAmount": {
            "$ref": "#/components/schemas/Amount"
          },
          "paymentMethodDetails": {
            "$ref": "#/components/schemas/PaymentMethodDetails"
          },
          "frequency": {
            "$ref": "#/components/schemas/Frequency"
          },
          "numberOfPayments": {
            "description": "Number of times the recurring payment will process.",
            "type": "integer",
            "format": "int32",
            "minimum": 1,
            "maximum": 999,
            "example": 10
          },
          "runCount": {
            "description": "Times the recurring payment has already run.",
            "type": "integer",
            "format": "int32",
            "minimum": 0,
            "maximum": 999,
            "example": 10
          },
          "state": {
            "$ref": "#/components/schemas/RecurringPaymentState"
          },
          "additionalRecurringData": {
            "$ref": "#/components/schemas/AdditionalRecurringData"
          },
          "comments": {
            "description": "User supplied comments.",
            "type": "string",
            "example": "This scheduled payment series is to pay for the thing."
          }
        },
        "example": {
          "storeId": "1109959991",
          "invoiceNumber": "96126098",
          "creationDate": "2018-10-25",
          "startDate": "2018-10-25",
          "transactionAmount": {
            "total": 10.24,
            "currency": "EUR"
          },
          "frequency": {
            "every": 3,
            "unit": "DAY"
          },
          "numberOfPayments": 10,
          "runCount": 3,
          "state": "Installed",
          "comments": "This scheduled payment series is to pay for the thing."
        }
      },
      "Frequency": {
        "description": "How often payments are sent.",
        "required": [
          "every",
          "unit"
        ],
        "properties": {
          "every": {
            "description": "Rate of frequency.",
            "type": "integer",
            "format": "int32",
            "minimum": 1,
            "maximum": 1000,
            "example": 10
          },
          "unit": {
            "description": "Unit which defines the frequency.",
            "type": "string",
            "enum": [
              "DAY",
              "WEEK",
              "MONTH",
              "YEAR"
            ],
            "example": "MONTH"
          }
        },
        "example": {
          "every": 3,
          "unit": "DAY"
        }
      },
      "PaymentTokenDetails": {
        "description": "Response details for payment token creation.",
        "allOf": [
          {
            "$ref": "#/components/schemas/CreatePaymentToken"
          },
          {
            "type": "object",
            "properties": {
              "last4": {
                "description": "The last 4 numbers of a payment card.",
                "type": "string",
                "example": "4997"
              },
              "brand": {
                "description": "Card brand, only for tokenization with payment.",
                "type": "string",
                "example": "VISA"
              },
              "accountVerification": {
                "description": "If the account the token was created from has been verified.",
                "type": "boolean",
                "example": true
              },
              "type": {
                "description": "Indicates the type of tokenization source.",
                "type": "string",
                "example": "PAYMENT_CARD"
              },
              "networkTokenProvisionStatus": {
                "$ref": "#/components/schemas/NetworkTokenProvisionStatus"
              },
              "error": {
                "$ref": "#/components/schemas/Error"
              }
            }
          }
        ],
        "example": {
          "value": "234ljl124l12",
          "reusable": true,
          "declineDuplicates": false,
          "last4": "4997",
          "brand": "VISA",
          "accountVerification": true,
          "type": "PAYMENT_CARD",
          "networkTokenProvisionStatus": "QUEUED"
        }
      },
      "CreatePaymentToken": {
        "description": "Use this model to create a payment token.",
        "properties": {
          "value": {
            "description": "Client-supplied payment token value. Only applicable for DataVault tokenization scheme.",
            "type": "string",
            "example": "234ljl124l12"
          },
          "reusable": {
            "description": "If the token is reusable.",
            "type": "boolean",
            "default": true,
            "example": true
          },
          "declineDuplicates": {
            "description": "Decline duplicate payment info if client token is supplied.",
            "type": "boolean",
            "default": false,
            "example": false
          },
          "customWalletRegistration": {
            "$ref": "#/components/schemas/CustomWalletRegistration"
          }
        },
        "example": {
          "value": "234ljl124l12",
          "reusable": true,
          "declineDuplicates": false,
          "customWalletRegistration": {
            "walletType": "BANCONTACT_WALLET",
            "authenticationMethods": [
              "USERNAME_PASSWORD_PIN"
            ]
          }
        }
      },
      "CardFunction": {
        "description": "Card function. This field is required when performing transactions for Brazil merchants.",
        "type": "string",
        "enum": [
          "CREDIT",
          "DEBIT",
          "PREPAID",
          "VOUCHER",
          "UNDEFINED"
        ],
        "example": "DEBIT"
      },
      "CardAccountType": {
        "description": "Indicates the type of account associated with the card.",
        "type": "string",
        "enum": [
          "saving",
          "checking"
        ],
        "example": "checking"
      },
      "CommercialCardEnum": {
        "type": "string",
        "enum": [
          "CORPORATE",
          "NON_CORPORATE"
        ],
        "description": "Indicates whether it is a corporate or non-corporate card.",
        "example": "CORPORATE"
      },
      "AuthenticationCapabilities": {
        "description": "Indicates the authentication methods supported for the provided PAN.",
        "type": "object",
        "properties": {
          "secure3DProtocolVersion": {
            "$ref": "#/components/schemas/Secure3DProtocolVersion"
          },
          "alternativeAuthCapabilities": {
            "$ref": "#/components/schemas/AlternativeAuthCapabilities"
          }
        },
        "example": {
          "secure3DProtocolVersion": "2.2.0",
          "alternativeAuthCapabilities": "BEPG"
        }
      },
      "AlternativeAuthCapabilities": {
        "description": "Lists other authentication mechanisms applicable to the PAN.",
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "BEPG"
          ]
        },
        "example": [
          "BEPG"
        ]
      },
      "EncryptionType": {
        "description": "This field provides information about encryption type which has been used by merchant to encrypt original card data.",
        "type": "string",
        "enum": [
          "JWE"
        ],
        "example": "JWE"
      },
      "NetworkTokenProvisionStatus": {
        "description": "This field provides the status of the NetworkToken being provisioned for the supplied PAN.",
        "type": "string",
        "enum": [
          "REQUESTED",
          "PROVISIONED",
          "QUEUED"
        ],
        "example": "QUEUED"
      },
      "ResponseType": {
        "description": "The type of the response.",
        "type": "string",
        "enum": [
          "BadRequest",
          "Unauthenticated",
          "Unauthorized",
          "NotFound",
          "GatewayDeclined",
          "EndpointDeclined",
          "ServerError",
          "EndpointCommunicationError",
          "UnsupportedMediaType"
        ],
        "example": "Unauthenticated"
      },
      "ProcessorData": {
        "description": "Model for processor data.",
        "properties": {
          "referenceNumber": {
            "description": "Reference transaction ID.",
            "type": "string",
            "example": "811720726601"
          },
          "authorizationCode": {
            "description": "Code returned to confirm transaction.",
            "type": "string",
            "example": "OK7118"
          },
          "responseCode": {
            "description": "Response code from endpoints.",
            "type": "string",
            "example": "00"
          },
          "network": {
            "description": "Network used for transaction.",
            "type": "string",
            "example": "NYCE"
          },
          "associationResponseCode": {
            "description": "Raw response code from issuer.",
            "type": "string",
            "example": "000"
          },
          "associationResponseMessage": {
            "description": "Indicates the processor association message.",
            "type": "string",
            "example": "Requested function not supported"
          },
          "responseMessage": {
            "description": "Message returned from endpoints.",
            "type": "string",
            "example": "Amount specified exceeds allowable limit."
          },
          "avsResponse": {
            "$ref": "#/components/schemas/AVSResponse"
          },
          "cardholderInfoResponse": {
            "$ref": "#/components/schemas/CardholderInfoResponse"
          },
          "securityCodeResponse": {
            "description": "Code returned for CVV.",
            "type": "string",
            "enum": [
              "MATCHED",
              "NOT_MATCHED",
              "NOT_PROCESSED",
              "NOT_PRESENT",
              "NOT_CERTIFIED",
              "NOT_CHECKED"
            ],
            "example": "NOT_MATCHED"
          },
          "merchantAdviceCodeIndicator": {
            "description": "Code to map merchant advice code to ISO specification.",
            "type": "string",
            "pattern": "[0-9]{2}",
            "example": "01"
          },
          "merchantAdviceMessage": {
            "description": "Information about the merchant advice code.",
            "type": "string",
            "example": "The issuer recognizes the product as a consumer non-reloadable prepaid card"
          },
          "paymentAccountReferenceNumber": {
            "description": "Information about the payment account Reference number.",
            "type": "string",
            "example": "0846343434"
          },
          "responseIndicator": {
            "description": "Indicates whether the transaction was routed through the payment card's own network or through a different network.",
            "type": "string",
            "example": "0100"
          },
          "debitReceiptNumber": {
            "description": "Receipt number from debit network provider.",
            "type": "string",
            "example": "123456"
          },
          "transactionIntegrityClass": {
            "description": "MasterCard provided Transaction Integrity Class for Point of Sale (POS) Purchase and Purchase with Cash Back transactions initiated on the Authorization Platform.",
            "type": "string",
            "example": "A1"
          },
          "taxRefundData": {
            "$ref": "#/components/schemas/TaxRefundData"
          },
          "terminalPrintAndDisplayData": {
            "$ref": "#/components/schemas/TerminalPrintAndDisplayData"
          },
          "correctedTraceNumber": {
            "description": "Corrected terminal transaction counter/STAN returned by the processor when the terminal counter is out of sync.",
            "type": "integer",
            "format": "int32",
            "minimum": 0,
            "maximum": 999999,
            "example": 123456
          },
          "requiredActionOnTerminal": {
            "description": "Indicator into the transaction response in case an action is required on the terminal.",
            "type": "array",
            "items": {
              "description": "Array contains the indicator for required action on terminal.",
              "type": "string",
              "enum": [
                "ContactlessSingleTapPIN",
                "FallbackToChipAndPIN",
                "UpdateTraceNumber"
              ],
              "example": "ContactlessSingleTapPIN"
            }
          },
          "dcapIndicator": {
            "description": "Digital Commerce Authentication Program (DCAP) indicator returned by the processor. Identifies the digital commerce authentication program applied to the transaction.",
            "type": "string",
            "example": "01"
          }
        },
        "example": {
          "responseCode": "00",
          "responseMessage": "APPROVED",
          "authorizationCode": "OK7118",
          "network": "NYCE"
        }
      },
      "Error": {
        "description": "Error information.",
        "properties": {
          "code": {
            "description": "Uniquely identifies an error condition. Client applications need to read and handle errors based on this.",
            "type": "string",
            "example": "2303"
          },
          "message": {
            "description": "A generic description of the error condition.",
            "type": "string",
            "example": "Invalid credit card number"
          },
          "details": {
            "description": "Detailed information about message format errors.",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ErrorDetails"
            }
          },
          "declineReasonCode": {
            "description": "Information about the decline reason.",
            "type": "string",
            "example": "Do not try again"
          }
        },
        "example": {
          "code": "2303",
          "message": "Invalid credit card number"
        }
      },
      "ErrorDetails": {
        "description": "Detailed information about message format errors.",
        "type": "object",
        "properties": {
          "field": {
            "description": "The property or attribute associated with the error.",
            "type": "string",
            "example": "PaymentCard.number"
          },
          "message": {
            "description": "Information specific to a property or attribute.",
            "type": "string",
            "example": "may not be null"
          }
        }
      },
      "AdditionalDetails": {
        "description": "Merchant supplied tracking numbers.",
        "properties": {
          "merchantParameters": {
            "$ref": "#/components/schemas/MerchantParameters"
          },
          "comments": {
            "description": "Comments for the payment.",
            "type": "string",
            "maxLength": 1024,
            "example": "This is a comment"
          },
          "invoiceNumber": {
            "description": "Invoice number.",
            "type": "string",
            "maxLength": 48,
            "example": "551294633441"
          },
          "invoicePeriod": {
            "description": "Invoice period in format month/year (MM/yy).",
            "type": "string",
            "maxLength": 5,
            "pattern": "(0[1-9]|1[0-2])[/][0-9][0-9]",
            "example": "12/21"
          },
          "purchaseOrderNumber": {
            "description": "Purchase order number.",
            "type": "string",
            "maxLength": 128,
            "example": "1223456"
          },
          "mrchntRefData": {
            "description": "Merchant Reference Data 2.",
            "type": "string",
            "maxLength": 30,
            "example": "1223456"
          },
          "emiAccountInformation": {
            "$ref": "#/components/schemas/EmiAccountInformation"
          },
          "operatorId": {
            "description": "The operator ID.",
            "type": "string",
            "maxLength": 35,
            "pattern": "^\\S$|^\\S.*\\S$"
          },
          "salesSystemId": {
            "description": "The sales system ID.",
            "type": "string",
            "maxLength": 50,
            "pattern": "^\\S$|^\\S.*\\S$"
          },
          "ipgDeferredAuth": {
            "description": "Indicates if the particular transaction is a deferred authorization.",
            "type": "boolean",
            "example": true
          },
          "highRiskPurchaseIndicator": {
            "description": "this is highRiskPurchaseIndicator.",
            "type": "boolean",
            "example": true
          },
          "cryptoCurrencyType": {
            "description": "Indicates a cryptocurrency by whether its value floats freely or is backed by fiat reserves.",
            "type": "string",
            "enum": [
              "FLOATING",
              "FIAT_BACKED"
            ]
          },
          "receipts": {
            "description": "Provides request information that is necessary to generate receipts.",
            "type": "array",
            "minItems": 1,
            "maxItems": 2,
            "items": {
              "$ref": "#/components/schemas/ReceiptRequestInfo"
            },
            "example": [
              {
                "type": "cardholder",
                "locale": "de-DE"
              },
              {
                "type": "merchant",
                "locale": "en",
                "linewidth": 32
              }
            ]
          },
          "scaExemptionType": {
            "description": "Strong customer authentication exemption type indicator.",
            "type": "string",
            "enum": [
              "Low Value Exemption",
              "TRA Exemption",
              "Trusted Merchant Exemption",
              "SCP Exemption",
              "Delegated Authentication",
              "Authentication Outage Exception"
            ],
            "example": "TRA Exemption"
          },
          "scaVisaMerchantID": {
            "description": "Eight-character Visa merchant identifier (VMID) assigned by Visa, required for trusted merchant and delegated authentication.",
            "type": "string",
            "maxLength": 8,
            "example": "12312311"
          },
          "businessApplicationIdentifier": {
            "description": "Indicates the indended use of the Account Funding Transaction. For Visa Only.",
            "type": "string",
            "enum": [
              "ACCOUNT_TO_ACCOUNT",
              "BANK_INITIATED_TRANSFER",
              "BUSINESS_TO_BUSINESS",
              "CARD_BILL_PAYMENT",
              "CASH_DEPOSIT",
              "CUSTOMER_BILL_PAYMENT",
              "FAST_REFUND",
              "FUNDS_DISBURSEMENT",
              "FUND_TRANSFER",
              "GAMBLING_PAYOUT",
              "GENERAL_FUNDS_DISBURSEMENT",
              "GOVERNMENT_DISBURSEMENT",
              "LIQUID_ASSETS",
              "LOYALTY_PAYMENTS",
              "MERCHANT_DISBURSEMENT",
              "MERCHANT_PAYMENT",
              "NON_CARD_BILL_PAYMENT",
              "ONLINE_GAMBLING_PAYOUT",
              "PAYROLL_OR_PENSION_DISBURSEMENT",
              "PERSON_TO_PERSON",
              "REQUEST_TO_PAY_SERVICE",
              "TOPUP_FOR_ENHANCED_PREPAID_LOADS",
              "WALLET_TRANSFER"
            ],
            "example": "ACCOUNT_TO_ACCOUNT"
          },
          "transactionTypeIdentifier": {
            "description": "Indicates the indended use of the Account Funding Transaction. For Mastercard Only.",
            "type": "string",
            "enum": [
              "AGENTS_CASH_OUT_MONEY_SEND",
              "AGENTS_CASH_OUT_MONEY_TRANSFER",
              "BUSINESS_DISBURSEMENT_MONEY_SEND",
              "BUSINESS_DISBURSEMENT_MONEY_TRANSFER",
              "BUSINESS_TO_BUSINESS_MONEY_SEND",
              "BUSINESS_TO_BUSINESS_MONEY_TRANSFER",
              "CARD_BILL_PAYMENT_MONEY_SEND",
              "CARD_BILL_PAYMENT_MONEY_TRANSFER",
              "CASH_IN_AT_ATM",
              "CASH_IN_AT_PO",
              "FAST_REFUND_TO_ORIGINAL_CARD",
              "GOVERNMENT_DISBURSEMENT_NONPROFIT",
              "OWN_ACCOUNT_MONEY_SEND",
              "OWN_ACCOUNT_MONEY_TRANSFER",
              "OWN_DEBIT_PREPAID_TRANSFER",
              "OWN_WALLET_TRANSFER",
              "PERSON_TO_PERSON_CARD_ACCOUNT",
              "PERSON_TO_PERSON_MONEY_SEND",
              "PERSON_TO_PERSON_MONEY_TRANSFER",
              "RAPID_MERCHANT_SETTLEMENT",
              "GAMBLING_PAYOUT",
              "ONLINE_GAMBLING_PAYOUT"
            ],
            "example": "BUSINESS_DISBURSEMENT_MONEY_SEND"
          },
          "eloTransactionTypeIdentifier": {
            "description": "Indicates the intended use of the Account Funding Transaction. For ELO Brand only for Brazil.",
            "type": "string",
            "enum": [
              "ACCOUNT_TO_ACCOUNT",
              "PERSON_TO_PERSON",
              "CASHBACK",
              "DISBURSEMENT",
              "RESOURCE_CONTRIBUTION",
              "SIMULTANEOUS_PURCHASE"
            ],
            "example": "ACCOUNT_TO_ACCOUNT"
          },
          "referencedMoneyTransferLinkageId": {
            "description": "Money transfer linkage id returned as moneyTransferLinkageId on the related funding transaction.",
            "type": "string",
            "maxLength": 19,
            "pattern": "^\\S$|^\\S.*\\S$",
            "example": "0001234261712345601"
          },
          "marketplaceForeignRetailerIndicator": {
            "description": "set it to F if the retailer is located in a different country outside of the market place.",
            "type": "string",
            "maxLength": 1,
            "pattern": "(F|)",
            "example": "F"
          },
          "deviceIntelligence": {
            "$ref": "#/components/schemas/DeviceIntelligenceDetail"
          },
          "deferredPayment": {
            "description": "Indicates if the particular transaction is a deferred payment.",
            "type": "boolean",
            "example": true
          },
          "taxRefundRequestData": {
            "$ref": "#/components/schemas/TaxRefundRequestData"
          },
          "acceptorGeoCoordinates": {
            "description": "Geo Location of the Merchant Acquirer.",
            "$ref": "#/components/schemas/GeoLocation"
          }
        },
        "example": {
          "comments": "This is a comment",
          "invoiceNumber": "551294633441",
          "invoicePeriod": "12/19",
          "purchaseOrderNumber": "1223456",
          "operatorId": "OPERATOR_ID_123XXX",
          "salesSystemId": "W-EU-H3866-FLS2",
          "ipgDeferredAuth": true,
          "allowPartialApproval": true,
          "highRiskPurchaseIndicator": true,
          "cryptoCurrencyType": "FLOATING",
          "receipts": [
            {
              "type": "cardholder",
              "locale": "fr"
            }
          ],
          "scaExemptionType": "Low Value Exemption",
          "scaVisaMerchantID": "12312311",
          "businessApplicationIdentifier": "ACCOUNT_TO_ACCOUNT",
          "transactionTypeIdentifier": "BUSINESS_DISBURSEMENT_MONEY_SEND",
          "eloTransactionTypeIdentifier": "ACCOUNT_TO_ACCOUNT",
          "referencedMoneyTransferLinkageId": "0001234261712345601",
          "marketplaceForeignRetailerIndicator": "F",
          "acceptorGeoCoordinates": {
            "latitude": 34.67676,
            "longitude": 34.67778
          }
        }
      },
      "EmiAccountInformation": {
        "description": "Account information required for EMI transactions",
        "properties": {
          "accountBin": {
            "description": "Account BIN information.",
            "type": "string",
            "example": "411111"
          },
          "accountLast4": {
            "description": "Last 4 digits of the account number",
            "type": "string",
            "maxLength": 4,
            "example": "4111"
          }
        }
      },
      "MerchantParameters": {
        "description": "To remain compliant the custom fields are not to be used to submit credit card detail or sensitive card holder information, please use the designated fields defined by the Gateway for this purpose.",
        "type": "string",
        "additionalProperties": {
          "type": "string"
        }
      },
      "DeviceIntelligenceDetail": {
        "description": "Device detail to be captured for fraud mitigation",
        "properties": {
          "vendor": {
            "description": "Vendor information of the device",
            "type": "string",
            "maxLength": 100
          },
          "sessionID": {
            "description": "Session id of the request",
            "type": "string",
            "maxLength": 100
          },
          "userAgent": {
            "description": "Device user agent",
            "type": "string",
            "maxLength": 100
          },
          "id": {
            "description": "Device ID that has been used",
            "type": "string",
            "maxLength": 100
          },
          "type": {
            "description": "Type of Device Used",
            "type": "string",
            "maxLength": 100
          },
          "operatingSystem": {
            "description": "OS of Device Used",
            "type": "string",
            "maxLength": 100
          },
          "model": {
            "description": "Model of Device Used",
            "type": "string",
            "maxLength": 100
          },
          "manufacturer": {
            "description": "Manufacturer of Device used",
            "type": "string",
            "maxLength": 100
          },
          "fingerprintSessionId": {
            "description": "FingerPrint session Id for device fingerprinting by risk provider",
            "type": "string",
            "maxLength": 100
          }
        }
      },
      "AdditionalTransactionDetails": {
        "description": "Additional transaction details for transaction response.",
        "properties": {
          "comments": {
            "description": "Comment for the payment.",
            "type": "string",
            "maxLength": 1024,
            "example": "This is a comment"
          },
          "invoiceNumber": {
            "description": "Invoice number.",
            "type": "string",
            "maxLength": 48,
            "example": "551294633441"
          },
          "purchaseOrderNumber": {
            "description": "Purchase order number.",
            "type": "string",
            "maxLength": 128,
            "example": "1223456"
          },
          "disbursementTransType": {
            "description": "The type of debit disbursement transaction.",
            "type": "string",
            "enum": [
              "FUNDING",
              "DISBURSEMENT"
            ],
            "example": "FUNDING"
          },
          "walletProvider": {
            "description": "The wallet provider type.",
            "type": "string",
            "enum": [
              "GOOGLE_PAY",
              "APPLE_PAY",
              "SAMSUNG_PAY",
              "CLICK_TO_PAY",
              "LATAM_QR_WALLET"
            ],
            "example": "APPLE_PAY"
          },
          "receipts": {
            "description": "Provides receipt response data, if it has been requested.",
            "type": "array",
            "minItems": 1,
            "maxItems": 2,
            "items": {
              "$ref": "#/components/schemas/Receipt"
            },
            "example": [
              {
                "type": "cardholder",
                "data": [
                  {
                    "endOfLine": true,
                    "text": "--------------------------------"
                  },
                  {
                    "endOfLine": true,
                    "text": "              SALE              "
                  }
                ]
              },
              {
                "type": "merchant",
                "data": [
                  {
                    "endOfLine": true,
                    "text": "        Example Merchant        "
                  },
                  {
                    "endOfLine": true,
                    "text": "--------------------------------"
                  }
                ]
              }
            ]
          },
          "additionalResponseData": {
            "$ref": "#/components/schemas/AdditionalResponseData"
          }
        },
        "example": {
          "comments": "This is a comment",
          "invoiceNumber": "551294633441",
          "purchaseOrderNumber": "1223456"
        }
      },
      "AdditionalResponseData": {
        "description": "Additional Response Data.",
        "properties": {
          "issuingBankName": {
            "description": "Issuing Bank Name.",
            "type": "string",
            "maxLength": 18,
            "example": "USA Bank"
          },
          "countryOfIssuance": {
            "description": "Country of Issuance.",
            "type": "string",
            "maxLength": 3,
            "example": "USA"
          },
          "cardProductID": {
            "description": "Card Product ID.",
            "type": "string",
            "maxLength": 1,
            "example": "H"
          },
          "detailedProductID": {
            "description": "Detailed Product ID.",
            "type": "string",
            "maxLength": 3,
            "example": "C"
          },
          "associationResponseCodeAdtl": {
            "description": "Association Response Code.",
            "type": "string",
            "maxLength": 3,
            "example": "00"
          },
          "cardBrand": {
            "description": "Card Brand.",
            "type": "string",
            "maxLength": 1,
            "example": "M"
          },
          "deferredAuthTransactionID": {
            "description": "Deferred Auth Transaction ID for re-authorized (Optimized) transaction",
            "type": "string",
            "maxLength": 16,
            "example": "3561032059730219"
          },
          "blikTransactionId": {
            "description": "Transaction reference returned by BLIK through B24eps.",
            "type": "string",
            "maxLength": 17,
            "example": "153047856"
          },
          "moneyTransferLinkageId": {
            "description": "Identifier used to link money transfer funding and payment transactions.",
            "type": "string",
            "maxLength": 19,
            "example": "0001234261712345601"
          },
          "bizumMaskedPAN": {
            "description": "Masked PAN returned for a Bizum POS transaction.",
            "type": "string",
            "example": "123456******1234"
          },
          "bizumMaskedPhoneNumber": {
            "description": "Masked phone number returned for a Bizum POS transaction.",
            "type": "string",
            "example": "748xxxxxxxx596"
          },
          "schemeECI": {
            "description": "Electronic Commerce Indicator, it indicates whether the authentication was successful, attempted but failed, or could not be attempted.",
            "type": "string",
            "maxLength": 2,
            "example": "05"
          },
          "DAFIndicator": {
            "description": "Digital Authentication Framework is the authentication framework approach followed by Scheme VISA.",
            "type": "string",
            "maxLength": 2,
            "example": "01"
          },
          "installmentPlans": {
            "description": "List of available installment plans for this transaction.",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/InstallmentPlan"
            }
          },
          "sessionKeyInformation": {
            "description": "Session key version information returned by HSMD for card-present master-session processing.",
            "type": "string",
            "example": "WARN-PAN: Given keyId is 1 version older than latest key; INFO-PIN: Given keyId is latest key; ERROR-MAC: Given keyId is 2 versions older than latest key"
          }
        }
      },
      "AccountUpdaterResponse": {
        "description": "Details related to updated account information.",
        "properties": {
          "updatedCard": {
            "description": "Account updater replacement PAN or TransArmor token.",
            "type": "string",
            "example": "4012000066660018"
          },
          "updatedToken": {
            "description": "Updated value of token.",
            "type": "string",
            "example": "1235325235236"
          },
          "updatedExpirationDate": {
            "description": "New account number expiration date in MMYY format.",
            "type": "string",
            "example": "1220"
          },
          "updatedAccountStatus": {
            "description": "Status of the updated account. An account may have closed (ACCOUNT_CLOSED), the expiry date may have changed (EXPIRY_CHANGED), the account may have changed (ACCOUNT_CHANGED), or the cardholder should be contacted (CONTACT_CARDHOLDER).",
            "type": "string",
            "example": "ACCOUNT_CHANGED"
          },
          "updatedAccountErrorCode": {
            "description": "Code for the error encountered when updating account.",
            "type": "string",
            "example": "VAU002"
          },
          "originalResponseCode": {
            "description": "Original Response Code for re-authorized (Optimized) transaction",
            "type": "string",
            "example": "00"
          }
        },
        "example": {
          "updatedCard": "4012000066660018",
          "updatedExpirationDate": "1220",
          "updatedAccountStatus": "ACCOUNT_CHANGED",
          "updatedAccountErrorCode": "VAU002",
          "originalResponseCode": "00"
        }
      },
      "TransactionType": {
        "description": "Type of transaction to perform. Primary transaction types in requests include 'SALE', 'PREAUTH', 'CREDIT' and 'FORCED_TICKET'.",
        "type": "string",
        "enum": [
          "SALE",
          "PREAUTH",
          "CREDIT",
          "FORCED_TICKET",
          "VOID",
          "RETURN",
          "POSTAUTH",
          "PAYER_AUTH",
          "DISBURSEMENT"
        ],
        "example": "SALE"
      },
      "TransactionOrigin": {
        "description": "The source of the transaction. The possible values are ECOM (if the order was received via email or Internet), MOTO (mail order, telephone order), MAIL, PHONE and RETAIL (face to face).",
        "type": "string",
        "enum": [
          "ECOM",
          "MOTO",
          "MAIL",
          "PHONE",
          "RETAIL"
        ],
        "example": "ECOM"
      },
      "Amount": {
        "description": "Amount of the transaction.",
        "required": [
          "total",
          "currency"
        ],
        "properties": {
          "total": {
            "description": "Sub component values must add up to total amount.",
            "type": "number",
            "minimum": 0,
            "example": 10.24
          },
          "currency": {
            "description": "ISO 4217 currency code.",
            "type": "string",
            "pattern": "([A-Z]{3})|([0-9]{3})",
            "example": "EUR"
          },
          "components": {
            "$ref": "#/components/schemas/AmountComponents"
          }
        },
        "example": {
          "total": 10.24,
          "currency": "EUR",
          "components": {
            "subtotal": 8,
            "localTax": 1,
            "shipping": 1.24
          }
        }
      },
      "TransactionAmount": {
        "description": "Amount of the transaction.",
        "properties": {
          "total": {
            "description": "Sub component values must add up to total amount.",
            "type": "number",
            "minimum": 0,
            "example": 10.24
          },
          "currency": {
            "description": "ISO 4217 currency code.",
            "type": "string",
            "pattern": "([A-Z]{3})|([0-9]{3})",
            "example": "EUR"
          },
          "components": {
            "$ref": "#/components/schemas/ResponseAmountComponents"
          }
        },
        "example": {
          "total": 10.24,
          "currency": "EUR",
          "components": {
            "subtotal": 8,
            "localTax": 1,
            "shipping": 1.24
          }
        }
      },
      "AmountComponents": {
        "description": "Transaction amounts with multiple components.",
        "properties": {
          "subtotal": {
            "description": "Subtotal amount.",
            "type": "number",
            "example": 8
          },
          "vatAmount": {
            "description": "Value-added tax amount.",
            "type": "number",
            "example": 0
          },
          "localTax": {
            "description": "Local tax amount.",
            "type": "number",
            "example": 1
          },
          "shipping": {
            "description": "Shipping amount.",
            "type": "number",
            "example": 1.24
          },
          "cashback": {
            "description": "Cashback amount.",
            "type": "number",
            "example": 2
          },
          "tip": {
            "description": "Tip amount.",
            "type": "number",
            "example": 6
          },
          "surcharge": {
            "description": "Surcharge amount.",
            "type": "number",
            "example": 2.5
          },
          "nonTaxableAmount": {
            "description": "nontaxable amount.",
            "type": "number",
            "example": 10
          },
          "additionalFee": {
            "$ref": "#/components/schemas/AdditionalFee"
          },
          "discount": {
            "$ref": "#/components/schemas/Discount"
          }
        },
        "example": {
          "subtotal": 8,
          "vatAmount": 0,
          "localTax": 1,
          "shipping": 1.24,
          "cashback": 2,
          "tip": 6,
          "surcharge": 2.5
        }
      },
      "AdditionalFee": {
        "description": "Additional fee amount and type of fee.",
        "properties": {
          "amount": {
            "description": "additional fee amount.",
            "type": "number",
            "example": 1.23
          },
          "type": {
            "description": "additional fee type.",
            "type": "string",
            "enum": [
              "ticketBookingFee"
            ],
            "example": "ticketBookingFee"
          }
        }
      },
      "Discount": {
        "description": "Object containing discount amount and code.",
        "required": [
          "amount"
        ],
        "properties": {
          "amount": {
            "description": "Discount amount subtracted from the total amount, needs to be considered during calculation of transactionAmount.total",
            "type": "number",
            "minimum": 0,
            "example": 1.23
          },
          "code": {
            "description": "Code of coupon applied to discount amount.",
            "type": "string",
            "minLength": 1,
            "maxLength": 128,
            "example": "coupon10"
          }
        }
      },
      "ResponseAmountComponents": {
        "description": "Amount component details, used in responses.",
        "allOf": [
          {
            "type": "object",
            "properties": {
              "convenienceFee": {
                "description": "Amount added for proccessing or handling fees.",
                "type": "number",
                "example": 2
              }
            }
          },
          {
            "$ref": "#/components/schemas/AmountComponents"
          }
        ],
        "example": {
          "subtotal": 8,
          "vatAmount": 0,
          "localTax": 1.3,
          "convenienceFee": 2
        }
      },
      "RequiredActions": {
        "description": "Provides details which actions need to be performed to fulfill requirements of integration data.",
        "properties": {
          "requiredConsumerData": {
            "description": "Consumer data details which need to be provided by the payer.",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/RequiredConsumerData"
            }
          },
          "requiredIntegrationData": {
            "description": "Provides details for data requested from the application.",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/RequiredIntegrationData"
            }
          },
          "requiredRedirectionData": {
            "$ref": "#/components/schemas/RequiredRedirectionData"
          }
        }
      },
      "RequiredConsumerData": {
        "description": "Provides details for data requested from the payer.",
        "type": "object",
        "properties": {
          "hint": {
            "description": "Description of required data that need to be provided.",
            "type": "string",
            "maxLength": 2048
          },
          "validationExpression": {
            "description": "Regexp validation expression for requested data.",
            "type": "string",
            "maxLength": 2048
          },
          "key": {
            "description": "Key for required data item.",
            "type": "string",
            "maxLength": 2048
          },
          "options": {
            "description": "Provides for the consumer data possible options to select a value from.",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ApmOption"
            }
          }
        },
        "example": {
          "hint": "Your 6-digit Code will be provided in your mobile application",
          "validationExpression": "^\\\\d{6}$",
          "key": "BLIK_CODE"
        }
      },
      "RequiredIntegrationData": {
        "description": "Provides details for data requested from the application.",
        "type": "object",
        "properties": {
          "hint": {
            "description": "Description of required integration data that need to be provided.",
            "type": "string",
            "maxLength": 2048
          },
          "key": {
            "description": "Key for required data item.",
            "type": "string",
            "maxLength": 2048
          }
        },
        "example": {
          "hint": "Payment requires the user agent information on the browser/device.",
          "key": "USER_AGENT"
        }
      },
      "ApmOption": {
        "description": "Provide details for a consumer data option.",
        "type": "object",
        "properties": {
          "displayName": {
            "description": "Name of the option.",
            "type": "string",
            "pattern": "[A-Za-z0-9\\s]{1,50}",
            "example": "First National Bank"
          },
          "iconUrl": {
            "description": "URL to the logo used for the option",
            "type": "string",
            "format": "uri",
            "example": "https://www.ipg-online.com/connect/bankLogo.png"
          },
          "id": {
            "description": "Unique identifier to be sent back in the response, if this option has been chosen.",
            "type": "string",
            "pattern": "[A-Za-z0-9]{1,50}",
            "example": "fnsTknBFirstNationalBank"
          },
          "groupName": {
            "description": "Options can be grouped via this name.",
            "type": "string",
            "pattern": "[A-Za-z0-9]{1,50}",
            "example": "TokenBanking"
          }
        },
        "example": {
          "displayName": "First National Bank",
          "iconUrl": "https://www.ipg-online.com/connect/bankLogo.png",
          "value": "fnsTknBFirstNationalBank",
          "groupName": "TokenBanking"
        }
      },
      "RequiredRedirectionData": {
        "description": "Redirection details provided to the payer e.g. an external URL to complete processing on the web page of the authorisation system.",
        "type": "object",
        "required": [
          "target"
        ],
        "properties": {
          "target": {
            "description": "Redirection URL or just \"SDK\".",
            "type": "string",
            "maxLength": 2048
          },
          "parameters": {
            "description": "Redirection header parameters details.",
            "$ref": "#/components/schemas/AdditionalParameters"
          },
          "method": {
            "description": "HTTP method type.",
            "type": "string",
            "enum": [
              "GET",
              "POST"
            ],
            "example": "GET"
          }
        }
      },
      "AdditionalParameters": {
        "description": "Map representation for additional parameters.",
        "type": "object",
        "additionalProperties": {
          "type": "string",
          "maxLength": 2048
        }
      },
      "PaymentMethodDetails": {
        "description": "Provides details of the payment method used.",
        "properties": {
          "paymentCard": {
            "$ref": "#/components/schemas/PaymentCard"
          },
          "paymentCardEncrypted": {
            "$ref": "#/components/schemas/PaymentCardEncrypted"
          },
          "paymentMethodType": {
            "$ref": "#/components/schemas/PaymentMethodType"
          },
          "paymentMethodBrand": {
            "$ref": "#/components/schemas/PaymentMethodBrand"
          }
        },
        "example": {
          "paymentCard": {
            "number": "5424180279791732",
            "expiryDate": {
              "month": "12",
              "year": "25"
            },
            "securityCode": "977"
          },
          "paymentCardEncrypted": {
            "encryptionType": "JWE",
            "encryptedData": "eyJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.WlOGAYWRcmpPsaKRQI5IEsWpLT4C1jCa59QfJhJsXw7wvlIXCMAFBa5IWwqsUzKBO85uTGZGcMCoKV6CMnqBTcfoceDaoBWDotmWBIl4nLiky97kc0gnM2FMbLlDzI6r9CVLlsINBz7ziTuyiDX-4B64Ux9z7fE_kvcN0iJ3alwDQKfa1fotX8b-HHjovclDMC53EZHDUtynQNQboqyUnUpy1VDXzyksBxAD9M8ubPdNCBXQR0TMchg2700X8zRmw7uz0Rlo16z56R7khCpL3j8pbo87rMKzAB6poWLyCBiC0it8Rkx8o3eJRJl3S_6l6mEtF0rwX9jNh21EpJk28w",
            "keyId": "20240807-card-enc"
          },
          "paymentMethodType": "PAYMENT_CARD",
          "paymentMethodBrand": "APPLEPAY"
        }
      },
      "PaymentMethodType": {
        "description": "Type of payment method.",
        "type": "string",
        "enum": [
          "AANI",
          "ALIPAY",
          "ALIPAY_PAYSECURE_US",
          "ALIPAY_DOMESTIC",
          "ALIPAY_PLUS",
          "APM",
          "BANCONTACT_QR",
          "BCMC",
          "BITPAY",
          "BLIK",
          "BOLETO",
          "CASH",
          "CONEKTA",
          "CUP_DOMESTIC",
          "DEBITDE",
          "EMI",
          "EPS",
          "E-TRANSFER",
          "GIROPAY",
          "IDEAL",
          "INDIAWALLET",
          "KPS",
          "MAUCASQR",
          "MYBANK",
          "NATWEST_PAYIT",
          "NETBANKING",
          "PAYMENT_CARD",
          "PAYMENT_TOKEN",
          "PAYPAL",
          "PAYSAFECARD",
          "POLI",
          "POSTFINANCE_CARD",
          "POSTFINANCE_EF",
          "PRZELEWY24",
          "SAMSUNG_PAY",
          "SAFETYPAY",
          "SEPA",
          "SOFORT",
          "TELECHECK",
          "TRUSTLY",
          "TRUSTPAY",
          "WALLET",
          "WECHAT",
          "WECHAT_DOMESTIC",
          "VISA_MOBILE",
          "POSTFINANCE_PAY",
          "TWINT"
        ],
        "example": "DEBITDE"
      },
      "PaymentMethodBrand": {
        "description": "A list of all Payment Method Brands.",
        "type": "string",
        "enum": [
          "AB_BANK_RMS",
          "ABSA_B2B",
          "ACB_RMS",
          "ADANCARD",
          "AFFIN_BANK_RMS",
          "AGRI_BANK_RMS",
          "AGRO_BANK_RMS",
          "ALIPAY",
          "ALIPAY_CASH",
          "ALIPAY_CHINAPNR",
          "ALIPAY_MOC",
          "ALIPAY_PAYSECURE_US",
          "ALIPAY_PLUS",
          "ALIPAY_HK_QFPAY",
          "ALIPAY_CN_QFPAY",
          "ALIPAY_SG_QFPAY",
          "WECHATPAY_SG_QFPAY",
          "GRABPAY_SG_QFPAY",
          "PAYNOW_SG_QFPAY",
          "ALIPAY_RMS",
          "ALLIANCE_BANK_RMS",
          "AMEX",
          "AM_ONLINE_RMS",
          "APAC_DIGITALPAYMENTS",
          "APLA",
          "APPLEPAY",
          "ARGENCARD",
          "ASIAN_APM",
          "ASTROPAY_CARD",
          "ASTROPAY_DIRECT",
          "ATMVA_RMS",
          "AUTOMATICA",
          "ATC_TUCUMAN",
          "AXIS",
          "AXS_KIOSK_RMS",
          "BACA_BANK_RMS",
          "BANAMEX",
          "BANCAT",
          "BANCODOBRASIL",
          "BANCOLOMBIA",
          "BANCOMAT_PAY_APM",
          "BANCOMER",
          "BANGKOK_BANK_RMS",
          "BANKTRANSFER",
          "BANK_ISLAM_RMS",
          "BANK_MUAMALAT_RMS",
          "BANK_OF_AYUDHYA_RMS",
          "BANK_RAKYAT_RMS",
          "BAOVIET_BANK_RMS",
          "BBPS",
          "BBVA_CUPON",
          "BCMC",
          "BCMC_APM",
          "BENEFICIOS",
          "BIDV_RMS",
          "BITPAY",
          "BLIK",
          "BIZUM",
          "BOLETO",
          "BOLETO_PAYMENT",
          "BOOST_RMS",
          "BRADESCO",
          "BTF_SOCIAL",
          "BUERGEL",
          "BANCNET",
          "CABAL",
          "CABAL_ARGENTINA",
          "CABAL_C_L",
          "CABLEVISION",
          "CALDEN_AGR",
          "CALDEN_MC",
          "CAPITAL_CO",
          "CAP",
          "CARD",
          "CARDCRED",
          "CARDLESSEMI",
          "CARDRED",
          "CARTA_ANDINA",
          "CARTE_BANCAIRE",
          "CASH",
          "CENCOSUD_MAS",
          "CENTROCARD",
          "CETELEM",
          "CFSA",
          "CIMB_CLICKS_RMS",
          "CLARIN_365",
          "CLIPER",
          "CLUB_DEL_ESTE",
          "CLUB_ESTE",
          "CLUB_LA_NACION",
          "CLUB_L_G",
          "COBROEXPRESS",
          "COMAHUE",
          "COMPRAS_NQN",
          "CONECS",
          "CONFIABLE",
          "CONSUMAX",
          "COOPEPLUS",
          "CREDENCIAL",
          "CREDICASH",
          "CREDICOM",
          "CREDIFE",
          "CREDIGUIA",
          "CREDIMAS",
          "CREDIMAZ",
          "CREDIQUEN",
          "CREDISI",
          "CREDI_AL",
          "CRED_MOVIL",
          "CTCILS_GC",
          "CUENTA_DNI",
          "CUP",
          "CUPON",
          "CUPONSTAR",
          "CUP_CHINAPNR",
          "C_REGALO",
          "DANSKEBANK",
          "DATA",
          "DATA2000",
          "DEMOS",
          "DEBITDE",
          "DEBITDE_EAPS",
          "DEBITDE_ELV",
          "DEBITDE_GIRO",
          "DINACARD",
          "DINERSCLUB",
          "DIRECTA",
          "DIRECT_DEBIT_APM",
          "DIREKT",
          "DISCOVER",
          "DONGA_BANK_RMS",
          "DON_CREDITO",
          "DPAY",
          "DRAGONPAY_RMS",
          "DUITNOW",
          "DUMBDUMMY",
          "EDENRED",
          "EFECTIVA_M",
          "EFECTY",
          "EFTPOS",
          "ELEBAR",
          "ELO",
          "EL_TRIBUNO",
          "EME",
          "ENETS_DBS_RMS",
          "ENETS_OCBC_RMS",
          "ENETS_SCB_RMS",
          "ENETS_UOB_RMS",
          "ENTERCASH",
          "EPS",
          "ESUN_ATM_RMS",
          "ETRANSFER",
          "EXCL_CARD",
          "EXIM_BANK_RMS",
          "FAB_PAYIT",
          "FALABELLA_CMR",
          "FAVACARD",
          "FIEL",
          "FINANYA",
          "FINLANDONLINEBANKING",
          "FPS",
          "FULLCARD",
          "GASOLEO_BONIFICADO",
          "GC_CENCOSUD",
          "GIFTEALO",
          "GENIAL",
          "GIFT_CARD",
          "GIROPAY",
          "GIROPAY_APM",
          "GLOBAL_BLUE",
          "GLOBAL_RED",
          "GOOGLEPAY",
          "GP_BANK_RMS",
          "GRABPAY",
          "GRABPAY_RMS",
          "GROUPON",
          "GRUPAR",
          "GRUPARCTDO",
          "G_PASEOS",
          "HANDELSBANKEN",
          "HD_BANK_RMS",
          "HELM",
          "HIPERCARD",
          "HK_ALIPAY_CHINA_YP",
          "HK_ALIPAY_HNGKONG_YP",
          "HK_WECHATPAY_YP",
          "HLB_CONNECT_RMS",
          "HOGARNET",
          "HSBC_BANK_RMS",
          "HUILEN",
          "IDEAL",
          "IDEAL_APM",
          "IKEA",
          "INDIAWALLET",
          "INSTANTTRANSFER",
          "INTERNATIONALPAYOUT",
          "IRED",
          "ISLA_CARD",
          "ITALCRED",
          "ITAU_BRAZIL",
          "ITAU_CHILE",
          "JAYWAN",
          "JCB",
          "JERARQUICOS",
          "KADICARD",
          "KASIKORN_PAYPLUS_RMS",
          "KLARNA",
          "KPS",
          "KRUNG_THAI_BANK_RMS",
          "KUWAIT_FINANACE_RMS",
          "LASER",
          "LA_RED",
          "LA_VOZ",
          "LA_ZONAL",
          "LIDER",
          "LOS_ANDES",
          "LVPB_BANK_RMS",
          "MAESTRO",
          "MAGENTA",
          "MARITIME_BANK_RMS",
          "MASTERCARD",
          "MAT_VOUCHER",
          "MAUCASQR",
          "MAXIULTRA",
          "MAYBANK_QRPAY_RMS",
          "MAYBANK_RMS",
          "MB_BANK_RMS",
          "MC_BANCOR",
          "MEBNA",
          "MENDOZA_PS",
          "MERCURY",
          "MEXICOLOCAL",
          "MILENIA",
          "MIRA",
          "MI_RENAULT",
          "MOBILE_PAY",
          "MUDON",
          "MULTIBANCO",
          "MUSICRED",
          "MUTUAL_TAIS",
          "MUTUAL_TIRO",
          "MYBANK",
          "NAMA_BANK_RMS",
          "NARANJA",
          "NATIVA",
          "NATIVA_MC",
          "NATWEST_PAYIT",
          "NAVI_BANK_RMS",
          "NETBANKING",
          "NEVADA",
          "NEWRED",
          "NOA_EXPRESS",
          "NORDEA",
          "NSCARD",
          "OCBC_BANK_RMS",
          "OCEAN_BANK_RMS",
          "OHGIFTCARD",
          "OPENCARD",
          "OSUUSPANKKI",
          "OXXO",
          "OXXO_CASH",
          "PAGOFACIL",
          "PATAGONIA365",
          "PAYBYBANK",
          "PAYCONIQ",
          "PAYLATER",
          "PAYNOW",
          "PAYNOW_RMS",
          "PAYPAL",
          "PAYSAFECARD",
          "PB_EBANK_RMS",
          "PERSONALPIN",
          "PG_BANK_RMS",
          "PHUONGDONG_RMS",
          "PIX_PAYMENT",
          "PLATINO",
          "PLAYP_CARD",
          "POLI",
          "POSTFINANCE_CARD",
          "POSTFINANCE_EF",
          "PREMIER",
          "PREPAGA_GP",
          "PRIMICIA",
          "PRISMA_VALE",
          "PROCAMPO",
          "PRZELEWY24",
          "PUGGLEPAY",
          "PYME_NACION",
          "QE",
          "QIDA",
          "QIWI",
          "QR",
          "RAPICLUB",
          "RAPIPAGO",
          "RED_BENEF",
          "RED_IN",
          "RENTAS_GLOBAL",
          "RHB_NOW_RMS",
          "RIO_NEGRO",
          "RIPSA",
          "RUPAY",
          "SACOM_BANK_RMS",
          "SAFETYPAY",
          "SAIGON_BANK_RMS",
          "SAIGON_HANOI_RMS",
          "SAMSUNG_PAY",
          "SAM_KIOSK_RMS",
          "SANTANDER",
          "SANTANDER_CASH",
          "SAN_JUAN",
          "SAPUCAY",
          "SBPS_OTHER_PAYMENTS",
          "SEAA_BANK_RMS",
          "SEPAPAYOUT",
          "SERVFINANC",
          "SERVICLUB",
          "SG_ALIPAY_CHINA_YP",
          "SG_WECHATPAY_YP",
          "SHELL_LATAM",
          "SHOPEEPAY_RMS",
          "SIAM_COMMERCIAL_RMS",
          "SIDECREER",
          "SIMPANANNASIONAL_RMS",
          "SMARTTLY",
          "SKRILL",
          "SOFORT",
          "SOMOS_RIVER",
          "SOROCRED",
          "SOS_GENIAL",
          "SOYRECOLETA",
          "SOY_NORTE",
          "SOY_SOLAR",
          "SOY_TIGRE",
          "STAND_CHART_BANK_RMS",
          "SU_CREDITO",
          "SWISH",
          "TARJETA_SHOPPING",
          "TARJETA_SOL",
          "TARJ_LOCAL",
          "TARJ_PRIVAD",
          "TCI",
          "TC_GRUPO",
          "MUTUAL_CENTRAL",
          "TECHCOM_BANK_RMS",
          "TELECHECK",
          "TELEINGRESO",
          "TERRICLUB",
          "TIENPHONG_BANK_RMS",
          "TITANIO",
          "TJ_VERDE",
          "TKT_NACION",
          "TNG_EWALLET_RMS",
          "TOKEN_BANKING",
          "TOUCHPOINTS",
          "TRUSTLY",
          "TRUSTPAY",
          "TUYA",
          "T_CENCOSUD",
          "T_CIUDADANA",
          "T_FARO",
          "THREE_M",
          "ULTRA",
          "UNICA",
          "UNIRED",
          "UNIVERDE",
          "USICLUB",
          "UOB_BANK_RMS",
          "UPO_PAYMENT_RMS",
          "VIB_RMS",
          "VIETA_BANK_RMS",
          "VIETCOM_BANK_RMS",
          "VIETIN_BANK_RMS",
          "VIP",
          "VIPPS",
          "VISA",
          "VOUCHER",
          "VOUCHER_TUR",
          "VP_BANK_RMS",
          "VYCARD",
          "WECHATPAY_QFPAY",
          "WECHATPAY_RMS",
          "WECHAT_APM",
          "WECHAT_CHINAPNR",
          "WECHAT_OCEAN",
          "WECHAT_PAY",
          "ZIMPLER",
          "POSTFINANCE_PAY",
          "PAYME_HK_QFPAY",
          "FPSPAY_HK_QFPAY",
          "TWINT",
          "EMERGENCIAS",
          "MOBILEPAY_VIPPS",
          "AANI_QR",
          "AANI_PUSH",
          "AANI_REDIRECT"
        ],
        "example": "GOOGLEPAY"
      },
      "PaymentCardEncrypted": {
        "description": "This object encapsulates sensitive card data in an encrypted format, ensuring that it's encrypted during transmission.\n",
        "required": [
          "encryptionType",
          "encryptedData",
          "keyId"
        ],
        "properties": {
          "encryptionType": {
            "$ref": "#/components/schemas/EncryptionType"
          },
          "encryptedData": {
            "description": "Payment card is encrypted using public key with RSA encryption algorithm RSA-OAEP-256 with encryption method A128GCM.",
            "type": "string",
            "maxLength": 1024,
            "example": "eyJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.WlOGAYWRcmpPsaKRQI5IEsWpLT4C1jCa59QfJhJsXw7wvlIXCMAFBa5IWwqsUzKBO85uTGZGcMCoKV6CMnqBTcfoceDaoBWDotmWBIl4nLiky97kc0gnM2FMbLlDzI6r9CVLlsINBz7ziTuyiDX-4B64Ux9z7fE_kvcN0iJ3alwDQKfa1fotX8b-HHjovclDMC53EZHDUtynQNQboqyUnUpy1VDXzyksBxAD9M8ubPdNCBXQR0TMchg2700X8zRmw7uz0Rlo16z56R7khCpL3j8pbo87rMKzAB6poWLyCBiC0it8Rkx8o3eJRJl3S_6l6mEtF0rwX9jNh21EpJk28w"
          },
          "keyId": {
            "description": "Key id of public key which is used for encryption.",
            "type": "string",
            "maxLength": 50,
            "example": "20240807-card-enc"
          },
          "cardAccountType": {
            "$ref": "#/components/schemas/CardAccountType"
          }
        },
        "example": {
          "encryptionType": "JWE",
          "encryptedData": "eyJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.WlOGAYWRcmpPsaKRQI5IEsWpLT4C1jCa59QfJhJsXw7wvlIXCMAFBa5IWwqsUzKBO85uTGZGcMCoKV6CMnqBTcfoceDaoBWDotmWBIl4nLiky97kc0gnM2FMbLlDzI6r9CVLlsINBz7ziTuyiDX-4B64Ux9z7fE_kvcN0iJ3alwDQKfa1fotX8b-HHjovclDMC53EZHDUtynQNQboqyUnUpy1VDXzyksBxAD9M8ubPdNCBXQR0TMchg2700X8zRmw7uz0Rlo16z56R7khCpL3j8pbo87rMKzAB6poWLyCBiC0it8Rkx8o3eJRJl3S_6l6mEtF0rwX9jNh21EpJk28w",
          "keyId": "20240807-card-enc"
        }
      },
      "PaymentCard": {
        "description": "Payment card model.",
        "properties": {
          "number": {
            "description": "Payment card number. It can also be an IBAN (e.g NL91ABNA0417164300) for Sepa Direct Debit transactions.",
            "type": "string",
            "minLength": 13,
            "maxLength": 34,
            "example": "5424180279791732"
          },
          "expiryDate": {
            "$ref": "#/components/schemas/Expiration"
          },
          "fundingCardNumber": {
            "$ref": "#/components/schemas/fundingCardNumber"
          },
          "securityCode": {
            "description": "Card verification value/number.",
            "type": "string",
            "minLength": 3,
            "maxLength": 4,
            "example": "977"
          },
          "bic": {
            "description": "Bank identifier code (BIC) for Sepa Direct Debit.",
[...]
